define({"0":{y:0,u:"../Content/Overview/chapter.basic_concepts.html",l:-1,t:"How to use this guide | Helix Version Control System Overview",i:0.0404858299595287,a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ..."},"1":{y:0,u:"../Content/Overview/basic_concepts.basics.html",l:-1,t:"The basics of version control",i:0.0404858299595287,a:"When you work alone on a document, the latest is usually the greatest:\n      you successively open the document, make changes, and save the document.\n      Each time you save, you overwrite the existing copy. The situation is\n      different when you are working with a large, globally distributed ..."},"2":{y:0,u:"../Content/Overview/basic_concepts.helix.html",l:-1,t:"Helix Server as a version control implementation",i:0.0404858299595287,a:"Helix Server\n      uses a client-server architecture to implement version control\n      management. The\n\tHelix Server(also known as the\n\tHelix Core Server\n\tor  p4d) manages shared file repositories, or\n\tdepots, that contain every revision of every file under version\n\tmanagement. Files are organized ..."},"3":{y:0,u:"../Content/Overview/basic_concepts.helix.multiuser.html",l:-1,t:"Multiple user access to a set of files",i:0.0404858299595287,a:"Version control systems must address the fundamental need for multiple\n      users to work on the same project simultaneously.\n      Helix Server\n      offers two ways to do this: File locking:\n\tHelix Server\n\tlocks a file while someone is working in it. This controls access to\n\tthe file: if several ..."},"4":{y:0,u:"../Content/Overview/basic_concepts.mainline.html",l:-1,t:"Balancing stability and innovation: the mainline model",i:0.0748987854249483,a:"So far, we have explained how version control systems handle the problem\n      of different users working on the same file at the same time: when the\n      different copies of the file are checked in, all but the first user must\n      resolve changes by deciding which changes will be preserved in ..."},"5":{y:0,u:"../Content/Overview/basic_concepts.mainline.streams.html",l:-1,t:"Streams",i:0.0404858299595287,a:"Helix Server\n      streams implement the Mainline model, adding intelligence that determines\n      what changes can be made and in what order they must be made. Let’s look at the Mainline example again and add some information to\n      indicate flow of change: Project Y has been branched from ..."},"6":{y:0,u:"../Content/Overview/basic_concepts.jobs.html",l:-1,t:"Organizing your work: jobs and labels",i:0.0404858299595287,a:"In addition to using changelists and streams to organize your work, you\n      can use two other methods: jobs and labels. Jobs provide lightweight issue tracking that integrates well\n\t  with third party defect tracking and workflow systems. They allow you\n\t  to track the status of a bug or an ..."},"7":{y:0,u:"../Content/Overview/basic_concepts.centralized.html",l:-1,t:"Working together and working apart: centralized and distributed development",i:0.0404858299595287,a:"We mentioned earlier that version control systems can implement either a\n      centralized model or a distributed model: Centralized version control systems use a single repository\n\tfrom which users check out one or more files to work on in their local\n\tdirectories. Distributed version control ..."},"8":{y:0,u:"../Content/Overview/basic_concepts.performance.html",l:-1,t:"Performance, scaling, and high availability",i:0.0404858299595287,a:"Version control systems are key to managing large projects: with\n      Helix Server, “large”\n      can be large indeed. With enterprise-level features that you can use to\n      fine tune and improve performance,\n      Helix Server\n      lets you scale your system to accommodate a global workforce, ..."},"9":{y:0,u:"../Content/Overview/basic_concepts.performance.proxy.html",l:-1,t:"Using proxies to improve performance",i:0.0404858299595287,a:"To improve performance for users accessing a shared\n      Helix Server\n      repository across a WAN, you can configure a proxy on the side of the\n      network close to the users and configure the users to access the service\n      through the proxy; then configure the proxy to access the master\n    ..."},"10":{y:0,u:"../Content/Overview/basic_concepts.performance.distributed.html",l:-1,t:"Commit-edge architecture",i:0.0404858299595287,a:"This architecture supports optimal performance for  work groups at multiple geographic locations. At a minimum it is made up of the following\n      kinds of servers: A commit server that stores archives and metadata. An edge server that contains a replicated copy of the commit\n\tserver data and a ..."},"11":{y:0,u:"../Content/Overview/basic_concepts.security.html",l:-1,t:"Securing the system",i:0.0404858299595287,a:"Independent of the\n      Helix Server\n      architecture you use, secure communication is guaranteed both with\n      respect to communication between clients and servers as well as\n      communication between servers. User authentications can be done using passwords or tickets, and the\n\tstrength of ..."},"12":{y:0,u:"../Content/Overview/chapter.clients_collaboration_security.html",l:-1,t:"Clients, IDEs, builds",i:0.0404858299595287,a:"Perforce products also include tools and software packages that allow you to work with and analyze your data as well as seamlessly\n      integrate\n      Helix Server\n      into interactive development environments and build solutions. Helix client applications include: A command line interface ..."},"13":{y:0,u:"../Content/Overview/chapter.use_cases.html",l:-1,t:"Use cases",i:0.0404858299595287,a:"The Ace Rocket company develops software to manage the production and\n      logistics of space rockets and rocket launchers. They have a\n      variety of technical needs, all of which can be met by members of the\n      Helix Server\n      product family. The following sections describe these needs ..."},"14":{y:0,u:"../Content/Overview/use_cases.development.html",l:-1,t:"Software development",i:0.0404858299595287,a:"Ace Rocket uses a variety of programming languages to develop the\n      components and products that they build. Because they use open source\n      projects, they have numerous developers that use Git. For their internal\n      development teams, they prefer the flexibility of\n      Helix Server. ..."},"15":{y:0,u:"../Content/Overview/use_cases.digital_asset_management.html",l:-1,t:"Digital asset management",i:0.0404858299595287,a:"The Ace Rocket Company tracks design versions of their products using\n      Helix Server. They\n      track versions of their CAD/CAM files as well as large test datasets. Ace\n      takes advantage of\n      Helix Server’s file\n      locking to ensure that multiple people do not attempt to change a ..."},"16":{y:0,u:"../Content/Overview/use_cases.hybrid_development.html",l:-1,t:"Hybrid product development",i:0.0404858299595287,a:"With both source code and CAD/CAM files tracked in\n      Helix Server, Ace\n      Rocket can easily track dependencies between their code and their models.\n      Developers take advantage of\n      Helix Server’s flexibility, while Ace’s model engineers use locking to obtain\n      the tight control ..."},"17":{y:0,u:"../Content/Overview/use_cases.administration.html",l:-1,t:"Ease of use for Helix Server administration",i:0.0404858299595287,a:"Ace Rocket employs an outside agency for contractors. They want to give\n      these contractors access to only a certain subset of the depot, while\n      they want to give in-house developers full access. Because\n      Helix Server\n      permissions are highly configurable, it’s easy for an ..."},"18":{y:0,u:"../Content/Overview/use_cases.future.html",l:-1,t:"Growing into the future",i:0.0404858299595287,a:"As Ace Rocket grows and opens offices in Shanghai, Buenos Aires, and\n      Johannesburg, they deploy edge servers and replicas to support thousands\n      of developers in these locations. Both developers and digital asset\n      managers in remote sites benefit from having local access to their\n      ..."},"19":{y:0,u:"../Content/Overview/use_cases.git-at-scale.html",l:-1,t:"Git at scale",i:0.0748987854249483,a:"Ace Rocket benefits from having scalable Git environments in one place. Git Connector, with its Git Connector component, enables Ace Rocket to have rapid mirroring of Git repos into Helix Server, and supports real-time visibility into Ace Rocket\u0027s Continuous Integration (CI) activities with an ..."},"20":{y:0,u:"../Content/Overview/resources.helix.html",l:-1,t:"To learn more about Helix Server",i:0.0404858299595287,a:"To learn more about Helix Server Documentation for\n      users, developers, and administrators is    at  https://www.perforce.com/support/self-service-resources/documentation . "},"21":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0404858299595287,a:"Glossary"},"22":{y:0,u:"../Content/Overview/license.statements.html",l:-1,t:"License Statements",i:0.0404858299595287,a:"To get a listing of the third-party software licenses that Helix Core Server uses, at the command line, type the p4 help legal command. To get a listing of the third-party software licenses that the local client (such as P4V) uses, at the command line, type the p4 help -l legal command."},});